创建 SDWAN 设备

先决条件
身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证。
步骤2:获取设备类型和账户
调用 获取设备类型
此 API 用于查找可在 NE 平台上启动的 SD-WAN 设备。您将了解这些设备可用的城域网(metroCode)、可用核心数(core)、软件包(packageCode 和 version)以及所有可能的许可和吞吐量选项。
如果您已经知道想要哪个设备,则可以跳过此步骤。
调用 Get Accounts {metro} API,查看您在所需虚拟设备所在都市区的账号(或 accountReferenceId)和状态。出于计费原因,您必须在所需虚拟设备所在都市区拥有一个账号,该账号状态必须为“激活”或“待处理”。要了解如何创建账号,请访问 计费账号管理。
如果您是经销商,想要为客户创建设备,则必须确保客户和您(经销商)的账户状态均为“激活”或“待处理”。您的账户将被计费,但您必须将客户的账号发送到 POST API 才能为客户创建 SD-WAN 设备。
如果您已经知道您的账号(或accountReferenceId),则可以跳过此步骤。
地位。
步骤 3:配置许可证
目前,自带许可证 (BYOL) 是 SD-WAN 设备唯一可用的许可选项。 每个供应商的自带设备许可(BYOL)流程都各不相同。
要为 Cisco SD-WAN 设备配置许可证,必须执行以下操作:
- 在Cisco vManage 平台上生成引导文件。
- 要创建 C8000V-SDWAN,请调用 上传文件 上传 Cisco 引导文件。响应中会返回一个
fileUuid。您可以将该值输入到创建有效负载的day0TextFileId字段中,以创建虚拟 C8000V-SDWAN 设备。
要为 CloudGenix 设备配置许可证,您必须执行以下操作:
- 在 CloudGenix 平台上生成许可证密钥(ION key)和许可证秘密(Secret key)。
- 调用 Equinix create 时,请输入许可证密钥(ION 密钥)和密钥(Secret 密钥)。 使用设备 API 创建 CloudGenix SD-WAN 设备。
在创建 Fortinet 设备时,许可证并非强制性要求。如果您拥有令牌,
将其输入到 licenseToken 字段中。要为 Fortinet SD-WAN 设备配置许可证文件,请执行以下操作:
下列的:
- 在 Fortinet 门户上生成许可证文件。
- 通过调用 Post License File 将许可证文件上传到 Equinix 门户。您将获得一个
fileId,可用于创建虚拟 SD-WAN 设备。
要配置 Versa 设备,请在 Versa Director 上创建 vNF 设备模板并记下序列号 数字。
您不需要许可证文件即可在Network Edge平台上配置 Aruba 设备。
要上传Juniper SD-WAN 的许可证,您必须执行以下操作:
- 在Juniper门户上生成许可证文件。
- 通过调用 Post License File 将许可证文件上传到 Equinix 门户。您将获得一个
fileId,可用于创建 Juniper SD-WAN 设备。
步骤 4:供应商特定参数
每个 SD-WAN 供应商都需要自己的一套参数,这些参数与作为通用参数列出的参数不同。 步骤 5 中定义了 POST API。请检查参数。 在步骤中创建新设备时,请提供您的供应商信息,并在 vendorConfig{} 对象中传递参数。 5.
思科 SD-WAN
| Cisco vendorConfig{ } parameters | Mandatory | Type | Example | Possible Values | Description |
|---|---|---|---|---|---|
| siteId | Yes | string | 12345 | Site Id. Mandatory for Cisco SD-WAN devices. A siteId is a particular physical location within the Viptela overlay network, such as a branch office, or a campus. | |
| systemIpAddress | Yes | string | 192.168.1.5 | System IP address. Mandatory for Cisco SD-WAN devices. Each vEdge router and vSmart controller is assigned a system IP address. It should be in decimal four-part dotted notation, just like IPv4 address. | |
| hostname | Conditional | string | SR-01 | hostname. Mandatory for C8000V-SDWAN. |
CloudGenix PRISMA-SDWAN
| CloudGenix vendorConfig{ } parameters | Mandatory | Type | Example | Possible Values | Description |
|---|---|---|---|---|---|
| licenseKey (ION key) | Yes | string | <license_key> | License key (ION key). Mandatory for CloudGenix devices. | |
| licenseSecret (Secret key) | Yes | string | ec68e425-f973-452e-a866-76be5844d0ba | License secret (Secret key). Mandatory for CloudGenix devices. |
Versa VERSA_SDWAN
| Versa vendorConfig{ } parameters | Mandatory | Type | Example | Possible Values | Description |
|---|---|---|---|---|---|
| localId | Yes | string | SDWAN-Branch@Versa.com | Email address of the branch location. | |
| remoteId | Yes | string | Controller-01-staging@Versa.com | Email address of the controller side. | |
| serialNumber | Yes | string | 12345 | The customer selects a serial number when setting up the device template on Versa director. Versa post-staging device serial number on Versa director should match this input. | |
| controller1 | Yes | string | 54.219.248.29 | Ip address of the SD-WAN controller1. | |
| controller2 | Yes | string | 54.177.220.115 | Ip address of the SD-WAN controller2. |
FortiGate FG-SDWAN *
| FortiGate vendorConfig{ } parameters | Mandatory | Type | Example | Possible Values | Description |
|---|---|---|---|---|---|
| adminPassword | Yes | string | ThisPassword9 | Password. This password should be at least 6 characters long and must include an uppercase letter and a number. | |
| controller1 | Yes | string | 1.1.1.1 | System IP address. Mandatory for FortiGate SD-WAN devices. |
*FortiGate SD-WAN 设备也需要主机名,但它不属于 vendorConfig 对象,而是直接传递的。 一个参数,以及其他参数,例如 deviceTypeCode、accountNumber 等。
Arista VELOCLOUD-SDWAN
| Arista vendorConfig{ } parameters | Mandatory | Type | Example | Possible Values | Description |
|---|---|---|---|---|---|
| activationKey | Yes | string | GJUK-JM2X-59BJ-SAMPLE | Activation key. Available on the VeloCloud Orchestration Portal. | |
| controllerFqdn | Yes | string | demo.velocloud.net | VeloCloud SD-WAN Gateway. In the list of ACLs for the device, please provide the IP addresses associated with the controllerFqdn. | |
| rootPassword | No | string | TestPassword! | CLI password for the device. |
Aruba EDGECONNECT-SDWAN
| Aruba vendorConfig{ } parameters | Mandatory | Type | Example | Possible Values | Description |
|---|---|---|---|---|---|
| accountName | Yes | string | accountName | The name of the account. | |
| hostname | Yes | string | myhostname1 | Host name for identification. This gets included as FQDN and ensures the device is reachable from the approved sources. Only a-z, A-Z, 0-9, and hyphen(-) are allowed. It should start with a letter and end with a letter or digit. The length should be between 2-30 characters. Exceptions - FTDv 2-14; Aruba 2-24. | |
| accountKey | Yes | string | accountKey | The account key. | |
| applianceTag | No | string | applianceTag | The appliance tag. |
步骤 5:创建 SD-WAN 设备
| POST /ne/v1/devices | |
|---|---|
| Method | POST |
| URL or End Point | /ne/v1/devices |
| Headers | Authorization, Content-Type |
| Query Parameters | draft, draftUuid |
如果您想创建一个包含两个设备(主设备和备用设备)的冗余 SD-WAN 设备,请执行以下操作: 下列的:
-
设置可选辅助对象的
vendorConfig参数。- 在请求正文负载中为Cisco SD-WAN 提供两个 licenseFileId
- 为 CloudGenix 冗余提供两个许可证密钥(ION 密钥)和许可证密钥(密钥)。 请求正文有效负载中的设备
- 为冗余的 Arista VeloCloud SD-WAN Edge 设备提供两个激活密钥。
-
您的辅助设备可能具有不同的 ACL 模板、帐号、additionalBandwidth、metroCode 和通知。
-
如果您是经销商,想要为客户创建冗余设备,请确保主备数据中心位于同一国家/地区。此外,主备数据中心的账号必须相同。虽然经销商的账号会被计费,但此 API 接受客户的账号来为客户创建设备。上述限制是必要的,因为每个客户都与经销商的计费账号关联。
即使您没有所有必要信息,仍然可以将信息保存为草稿。 您必须提供设备类型代码、帐户编号/帐户参考 ID 和 MetroCode 才能保存 草稿。
创建虚拟设备即表示您接受订单条款。调用获取订单条款查看详情。
示例请求
创建冗余Cisco SD-WAN 设备的示例 curl 请求。
curl -X POST
https://api.equinix.com/ne/v1/devices?draft=false
-H 'Authorization: Bearer <token>'
-H 'Content-Type: application/json'
-d '
{
"deviceTypeCode": "C8000V-SDWAN",
"projectId": "XXXXX",
"metroCode": "DC",
"termLength": "1",
"licenseMode": "BYOL",
"packageCode": "DNA",
"virtualDeviceName": "sroy-cisco-8v-controller",
"notifications": [
"test@equinix.com"
],
"version": "17.09.01a",
"interfaceCount": 10,
"deviceManagementType": "SELF-CONFIGURED",
"core": 4,
"vendorConfig": {
"systemIpAddress": "1.1.1.1",
"siteId": "4567",
"hostname": "SR-01"
},
"aclTemplateUuid": "3319e378-be2f-40e4-8e79-13ea2aed7a5f",
"day0TextFileId": "917f2621-11d4-468f-9a09-af8fd66c0e57",
"accountNumber": "201091",
"secondary": {
"metroCode": "DC",
"notifications": [
"test@equinix.com"
],
"virtualDeviceName": "sroy-cisco-8v-controller-secondary",
"additionalBandwidth": "100",
"vendorConfig": {
"systemIpAddress": "1.1.1.1",
"siteId": "9886",
"hostname": "SR-02"
},
"aclTemplateUuid": "3319e378-be2f-40e4-8e79-13ea2aed7a5f",
"day0TextFileId": "dec1dee5-eba9-4187-a029-ae76341e8874",
"accountNumber": "201091"
},
"additionalBandwidth": "100"
}
'
有关参数和选项的完整列表,请参阅API 参考。
示例响应
单个设备的示例响应 202:请求已接受。
{
"uuid": "74d8c6b6-3153-4271-9f0e-45bdc7094dec"
}
冗余设备 202 的示例响应:请求已接受。
{
"uuid": "74d8c6b6-3153-4271-9f0e-45bdc7094dec",
"secondaryUuid": "de5cf79b-3d16-4ccd-841b-3b68ecda2142"
}
如果出现“拒绝访问”的情况,联系人您当地的Equinix服务台以获取门户访问权限。
设备状态
创建 SD-WAN 设备时,该设备会在 Equinix 基础架构中经历各种状态转换。您可以使用 Get Virtual Device {uuid} API 的“status”响应属性来监控这些状态。设备配置完成并应用许可证后,即可创建与云服务提供商的连接。
| Virtual device states | Description |
|---|---|
INITIALIZING | Equinix is in the process of reserving resources and creating the device. |
PENDING_ACCOUNT | Customer's account is not approved. The device creation will continue once the account gets approved. |
PROVISIONING | The device is booting. |
PENDING_ORDER | This status only applies to orders coming to NE from Siebel. Customers need to log in to the Network Edge portal and submit the pending order. |
PENDING_SIGNATURE | The customer has not yet accepted Network Edge terms. |
CANCEL_ORDER | The order from Siebel to NE is canceled. This status only applies to orders coming to Network Edge from Siebel. |
WAITING_FOR_PRIMARY | The secondary device is ready but the primary is not. This state may appear if you have requested a redundant device. |
WAITING_FOR_SECONDARY | The primary device is ready but the secondary is not. This state may appear if you have requested a redundant device. |
FAILED | The device creation failed. |
PROVISIONED | The device is ready. |
DEPROVISIONING | Equinix accepted the customer's request to delete the virtual device. |
DEPROVISIONED | The device is de-provisioned/deleted. |

当最终用户使用 Delete Virtual Devices API 删除设备时,该设备在 Equinix 系统中会经历以下状态转换。 基础设施。
| status | Description |
|---|---|
DEPROVISIONING | Equinix accepted the customer's request to delete the virtual device. |
DEPROVISIONED | The device is de-provisioned/deleted. |